%define EGCS_VERSION 19980921
Summary: Experimental GNU Compiler System for sparc64
Name: egcs64
Version: %{EGCS_VERSION}
Release: 4
Copyright: GPL
Group: Development/Languages
Source: ftp://egcs.cygnus.com/pub/egcs/snapshots/1998-09-06/egcs-19980906.tar.gz
Patch0: ftp://egcs.cygnus.com/pub/egcs/snapshots/1998-09-14/egcs-19980906-19980914.diff.gz
Patch1: ftp://egcs.cygnus.com/pub/egcs/snapshots/1998-09-21/egcs-19980914-19980921.diff.gz
Patch2: egcs-19980921-sparc.patch
Patch3: egcs-19980921-sparc2.patch
Patch4:	egcs64-glibc21.patch
Patch5: egcs-19980906-texi.patch
Patch6: egcs-1.1.2-gcse.patch
Buildroot: /var/tmp/egcs64-root
Url: http://egcs.cygnus.com/
ExclusiveArch: sparc sparc64
Requires: binutils >= 2.8.1.0.1
Obsoletes: sparc64-linux-gcc

%description
A compiler aimed at compiling sparc64 kernel. Is not fully capable to build
64bit userland binaries.

%prep
%setup -q -n egcs-19980906
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1

%build
rm -rf obj-sparc64-linux
mkdir obj-sparc64-linux
cd obj-sparc64-linux
CFLAGS=-O2 ../configure  --prefix=/usr \
	--enable-shared --enable-threads \
	--build=sparc64-redhat-linux \
	--host=sparc64-redhat-linux \
	--target=sparc64-redhat-linux \
	--with-cpu=ultrasparc
PATH=$PATH:/sbin:/usr/sbin
make -C libiberty MAKEINFO="makeinfo --no-split" CFLAGS="$RPM_OPT_FLAGS"' -DHOST_WIDE_INT=long\ long -DHOST_BITS_PER_WIDE_INT=64' LANGUAGES=c
make -C gcc MAKEINFO="makeinfo --no-split" CFLAGS="$RPM_OPT_FLAGS"' -DHOST_WIDE_INT=long\ long -DHOST_BITS_PER_WIDE_INT=64' LANGUAGES=c

%install
# egcs won't install correctly if CDPATH has . in it:
# cd displays a full pathname and confuses tar.
unset CDPATH || :
rm -rf $RPM_BUILD_ROOT
cd obj-sparc64-linux
mkdir -p $RPM_BUILD_ROOT/usr/lib
PATH=$PATH:/sbin:/usr/sbin
make -C libiberty prefix=$RPM_BUILD_ROOT/usr MAKEINFO="makeinfo --no-split" CFLAGS="$RPM_OPT_FLAGS"' -DHOST_WIDE_INT=long\ long -DHOST_BITS_PER_WIDE_INT=64' LANGUAGES=c install
make -C gcc prefix=$RPM_BUILD_ROOT/usr MAKEINFO="makeinfo --no-split" CFLAGS="$RPM_OPT_FLAGS"' -DHOST_WIDE_INT=long\ long -DHOST_BITS_PER_WIDE_INT=64' LANGUAGES=c install
FULLVER=`$RPM_BUILD_ROOT/usr/bin/sparc64-redhat-linux-gcc --version | cut -d' ' -f1`
FULLPATH=$(dirname $RPM_BUILD_ROOT/usr/lib/gcc-lib/sparc64-redhat-linux/$FULLVER/cc1)
rm -f $FULLPATH/collect*
strip $RPM_BUILD_ROOT/usr/bin/*

strip $FULLPATH/{cc1,cpp}

# fix some things
mv $RPM_BUILD_ROOT/usr/bin/sparc64-redhat-linux*-gcc $RPM_BUILD_ROOT/usr/bin/sparc64-redhat-linux-egcs
ln $RPM_BUILD_ROOT/usr/bin/sparc64-redhat-linux-egcs $RPM_BUILD_ROOT/usr/bin/sparc64-redhat-linux-gcc
ln $RPM_BUILD_ROOT/usr/bin/sparc64-redhat-linux-egcs $RPM_BUILD_ROOT/usr/bin/sparc64-linux-gcc
ln $RPM_BUILD_ROOT/usr/man/man1/gcc.1 $RPM_BUILD_ROOT/usr/man/man1/egcs.1

ln -sf $FULLVER $RPM_BUILD_ROOT/usr/lib/gcc-lib/sparc64-redhat-linux/egcs-2.92-current

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
/usr/lib/gcc-lib/sparc64-redhat-linux
/usr/bin/sparc64-*

%changelog
* Mon May 17 1999 Matt Wilson <msw@redhat.com>
- added patch from Dave Miller

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- recompile with a fixed plain egcs

* Thu Feb 25 1999 Cristian Gafton <gafton@redhat.com>
- imported from ultrapenguin

* Mon Nov 30 1998 Jakub Jelinek <jj@ultra.linux.cz>
- initial package
